> For the complete documentation index, see [llms.txt](https://docs.keycloakify.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keycloakify.dev/keycloakify/v5/email-customization.md).

# Email customization

Customize the default email template

*Introduced in* [*v4.8.0*](https://github.com/InseeFrLab/keycloakify/releases/tag/v4.8.0)

It is now possible to customize the emails sent to your users to confirm their email address ect.\
Just run `npx create-keycloak-email-directory`, it will create a `keycloak_email` directory at the root of your project.\
This directory should be tracked by Git (`yarn add -A`) You can start hacking the default template.\
When `npx build-keycloak-theme` (`yarn keycloak`) is run, if the directory `keycloak_email` exists at the root of your project, it will be bundled into your `.jar` file and you will be able to select it in the Keycloak administration pages.

![Selecting your email theme in the Keycloak admin](https://1698665718-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F3g7h6yiTIOMQ8KRbalMO%2Fuploads%2Fgit-blob-e161e830f1d33e6500602c09ea12eef82804ca08%2Femail.png?alt=media)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.keycloakify.dev/keycloakify/v5/email-customization.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
